Package org.kapott.hbci.manager

# Enum Class HHDVersion

java.lang.Object
java.lang.Enum<HHDVersion>
org.kapott.hbci.manager.HHDVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<HHDVersion>`, `Constable`

public enum HHDVersion extends Enum<HHDVersion>
Kapselt die Erkennung der verschiedenen HHD-Versionen.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`HHDVersion.Type`
Definiert die Art des TAN-Verfahrens.

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DECOUPLED`
Push-TAN 2.0 (Decoupled)
`HHD_1_2`
HHD-Version 1.2.
`HHD_1_3`
HHD-Version 1.3 Zur HKTAN-Segment-Version: 1.4 ist in HKTAN4 noch nicht erlaubt, damit bleibt eigentlich nur 1.3
`HHD_1_4`
HHD-Version 1.4 Zur HKTAN-Segment-Version: Genau wissen wir es nicht, aber HHD 1.4 ist wahrscheinlich.
`MS_1`
Server-seitig generierter Matrix-Code (photoTAN) ZKA-Version und HKTAN-Version bleiben hier frei, weil wir anhand diesen Merkmalen das Matrix-Code-Verfahren nicht eindeutig erkennen koennen.
`QR_1_3`
QR-Code in HHD-Version 1.3 - die Sparkasse verwendet das so.
`QR_1_4`
QR-Code.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HHDVersion`
`DEFAULT`
Die Default-Version.

## Method Summary

Modifier and Type
Method
Description
`static HHDVersion`
`find(Properties secmech)`
Ermittelt die zu verwendende HHD-Version aus den BPD-Informationen des TAN-Verfahrens.
`String`
`getChallengeVersion()`
Liefert die Kennung fuer das Lookup in den ChallengeInfo-Daten.
`HHDVersion.Type`
`getType()`
Liefert die Art des TAN-Verfahrens.
`static HHDVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HHDVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QR_1_3

public static final HHDVersion QR_1_3
QR-Code in HHD-Version 1.3 - die Sparkasse verwendet das so. Muss als erstes hier stehen, weil es sonst falsch als "HHD_1_3" erkannt wird (ID beginnt genauso).

### QR_1_4

public static final HHDVersion QR_1_4
QR-Code.

### HHD_1_4

public static final HHDVersion HHD_1_4
HHD-Version 1.4 Zur HKTAN-Segment-Version: Genau wissen wir es nicht, aber HHD 1.4 ist wahrscheinlich.

### HHD_1_3

public static final HHDVersion HHD_1_3
HHD-Version 1.3 Zur HKTAN-Segment-Version: 1.4 ist in HKTAN4 noch nicht erlaubt, damit bleibt eigentlich nur 1.3

### MS_1

public static final HHDVersion MS_1
Server-seitig generierter Matrix-Code (photoTAN) ZKA-Version und HKTAN-Version bleiben hier frei, weil wir anhand diesen Merkmalen das Matrix-Code-Verfahren nicht eindeutig erkennen koennen. Und da chipTAN/smsTAN deutlich gebrauechlicher ist, ist es erheblich wahrscheinlicher, dass dann nicht Matrix-Code ist. Generell unterstuetzen wir nur server-seitig generierte Matrix-Codes.

### HHD_1_2

public static final HHDVersion HHD_1_2
HHD-Version 1.2. Fallback.

### DECOUPLED

public static final HHDVersion DECOUPLED
Push-TAN 2.0 (Decoupled)

## Field Details

### DEFAULT

public static final HHDVersion DEFAULT
Die Default-Version.

## Method Details

### values

public static HHDVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HHDVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getChallengeVersion

public String getChallengeVersion()
Liefert die Kennung fuer das Lookup in den ChallengeInfo-Daten.

Returns:
  die Kennung fuer das Lookup in den ChallengeInfo-Daten.

### getType

public HHDVersion.Type getType()
Liefert die Art des TAN-Verfahrens.

Returns:
  die Art des TAN-Verfahrens.

### find

public static HHDVersion find(Properties secmech)
Ermittelt die zu verwendende HHD-Version aus den BPD-Informationen des TAN-Verfahrens.

Parameters:
  `secmech` - die BPD-Informationen zum TAN-Verfahren.
Returns:
  die HHD-Version.